﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows;
using Telerik.Windows.Controls;
using System.Windows.Media.Imaging;

namespace SLApp
{
	public partial class MainPage : UserControl
	{
		int eventCounter = 0;

		public MainPage()
		{
			InitializeComponent();
		}

		private void uploaderTest_UploadCanceled(object sender, EventArgs e)
		{
			this.Log("Upload Canceled");
		}

		private void uploaderTest_UploadFinished(object sender, EventArgs e)
		{
			this.Log("Upload Finished");
		}

		private void uploaderTest_UploadPaused(object sender, EventArgs e)
		{
			this.Log("Upload Paused");
		}

		private void uploaderTest_UploadResumed(object sender, EventArgs e)
		{
			this.Log("Upload Resumed");
		}

		private void uploaderTest_UploadStarted(object sender, UploadStartedEventArgs e)
		{
			this.Log("Upload Started");
		}

		private void Log(string info)
		{
			this.logPad.Text = eventCounter.ToString() + ": " + info + Environment.NewLine + this.logPad.Text;
			if (this.logPad.Text.Length > 10000)
			{
				this.logPad.Text = this.logPad.Text.Substring(0, 10000);
			}
		}
	}
}
